This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 354261 - Lockup on wait on exited child with exited child
Lockup on wait on exited child with exited child
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: strace (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Roland McGrath
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-26 11:19 EDT by John Reiser
Modified: 2009-07-15 04:19 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-15 04:19:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
last 1000 lines of strace output file (69.04 KB, text/plain)
2007-10-26 11:21 EDT, John Reiser
no flags Details

  None (edit)
Description John Reiser 2007-10-26 11:19:50 EDT
Description of problem: strace causes deadlock when stracing futex().


Version-Release number of selected component (if applicable):
strace-4.5.16-2.fc8


How reproducible: always


Steps to Reproduce:
1. yum erase java-1.5.0-gcj
2. strace -f -o strace.java yum install java-1.5.0-gcj
3.
  
Actual results: CPU activity stops shortly after:
-----
Running Transaction
  Installing: java-1.5.0-gcj               ######################### [1/3] 
-----

"ps al" shows:
-----
4     0  3691  3569  20   0   4700  1112 wait   S    pts/2      0:00 su
4     0  3697  3691  20   0   4840  1524 -      S    pts/2      0:00 bash
4     0  3748  3697  20   0   1972   700 -      S+   pts/2      0:17 strace -f
-o strace.java yum install java-1.5.0-gcj
4     0  3749  3748  20   0 168432 158072 -     S+   pts/2      0:18
/usr/bin/python /usr/bin/yum install java-1.5.0-gcj
0     0  3757  3749  20   0   4652  1056 -      T+   pts/2      0:00 /bin/sh
/var/tmp/rpm-tmp.76960 1
0     0  3770  3757  20   0   4652  1064 -      T+   pts/2      0:00 /bin/bash
/usr/bin/rebuild-gcj-db
0     0  3771  3770  20   0      0     0 -      Z+   pts/2      0:00
[gcj-dbtool] <defunct>
0   500  3781  3336  20   0   4480   800 -      R+   pts/0      0:00 ps al
-----

Expected results: successful yum install, and correct strace output.


Additional info: I will attach the last 1000 (one thousand) lines of strace
output: 70KB.
Comment 1 John Reiser 2007-10-26 11:21:17 EDT
Created attachment 239201 [details]
last 1000 lines of strace output file
Comment 2 Jan Kratochvil 2007-11-03 13:41:08 EDT
Posted upstream the fix+testcase:
http://sourceforge.net/mailarchive/message.php?msg_name=20071103173556.GA16319%40host0.dyn.jankratochvil.net

Hopefully to be soon in Fedora.

Thanks for the report.
Comment 3 Roland McGrath 2007-11-19 17:25:53 EST
In upstream for 4.5.17
Comment 4 Bug Zapper 2008-04-04 10:18:27 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 5 John Reiser 2008-04-04 11:40:21 EDT
The problem persists in rawhide, which has
strace-4.5.16-5.fc9.x86_64 which is less than the indicated fix of
strace-4.5.17.

Please change version to "rawhide"; bugzilla won't let me do so.
Comment 6 Jan Kratochvil 2008-04-04 11:47:20 EDT
Sorry but this Bugzilla idea was not mine.
Comment 7 Bug Zapper 2008-05-13 23:45:07 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-06-09 19:07:40 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-07-15 04:19:29 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.